### Method

# GLib Source set_can_recurse

#### Declaration [src]

    void
    g_source_set_can_recurse (
      GSource* source,
      gboolean can_recurse
    )

#### Description [src]

Sets whether a source can be called recursively.

If `can_recurse` is true, then while the source is being dispatched then this source will be processed normally. Otherwise, all processing of this source is blocked until the dispatch function returns.

#### Parameters

`can_recurse`

  Type: `gboolean`

  Whether recursion is allowed for this source.